import { Component, OnInit } from '@angular/core';
import { ucapAnimations } from '@ucap-webmessenger/ui';
import { NGXLogger } from 'ngx-logger';
import { Store, select } from '@ngrx/store';
import { Observable } from 'rxjs';
import { RoomInfo } from '@ucap-webmessenger/protocol-room';
import * as AppStore from '@app/store';

@Component({
  selector: 'app-layout-chat-left-sidenav-chat',
  templateUrl: './chat.component.html',
  styleUrls: ['./chat.component.scss'],
  animations: ucapAnimations
})
export class ChatComponent implements OnInit {
  roomList$: Observable<RoomInfo[]>;

  constructor(private store: Store<any>, private logger: NGXLogger) {}

  ngOnInit() {
    this.roomList$ = this.store.pipe(
      select(AppStore.MessengerSelector.SyncSelector.roomList)
    );
  }
}
