import { Component, OnInit } from '@angular/core';
import { UserInfo } from '@ucap-webmessenger/protocol-sync';
import { EmployeeType } from '@ucap-webmessenger/protocol-room';
import { RoleCode } from '@ucap-webmessenger/protocol-authentication';
import {
  StatusBulkInfo,
  TerminalStatusInfo,
  TerminalStatusNumber
} from '@ucap-webmessenger/protocol-status';
import { StatusCode } from '@ucap-webmessenger/core';
import { Router } from '@angular/router';

@Component({
  selector: 'app-template.page',
  templateUrl: './template.page.component.html',
  styleUrls: ['./template.page.component.scss']
})
export class TemplatePageComponent implements OnInit {
  profileImageRoot: string = 'http://27.122.224.170:8011/ProfileImage';

  userInfo: UserInfo = buddyData;

  presence: StatusBulkInfo = status;

  constructor(private router: Router) {}

  ngOnInit() {}

  onClickLogin() {
    this.router.navigate(['/account/login']);
  }
}

export const status: StatusBulkInfo = {
  // 사용자SEQ
  userSeq: 15,
  // 상태코드(PC)
  pcStatus: StatusCode.Away,
  // 상태코드(통화)
  phoneStatus: StatusCode.Offline,
  // 상태코드(모바일)
  mobileStatus: StatusCode.OnLine,
  // 상태코드(PC화상)
  conferenceStatus: StatusCode.Offline,
  // 상태메시지
  statusMessage: '다른용무중',
  // 상태코드(Mobile화상)
  mobileConferenceStatus: StatusCode.Offline,
  // 상태코드(iMessenger)
  imessengerStatus: StatusCode.Offline,
  // 단말상태정보(s)
  terminalStatus: TerminalStatusInfo.Idle,
  // 단말상태번호(n)
  terminalStatusNumber: TerminalStatusNumber.Idle
};
export const buddyData: UserInfo = {
  seq: 15,
  name: '채희중',
  profileImageFile: '/2017/08/09/PF_15_174154508.jpeg',
  grade: '책임',
  intro: '프로필정보 변경됨.',
  companyCode: 'GUC006',
  hpNumber: '01089339833',
  lineNumber: '01089339833',
  email: 'hjchae72@lgcns.com',
  isMobile: false,
  deptName: 'UCAP TEAM',
  isFavorit: false,
  isBuddy: true,
  isActive: true,
  roleCd: RoleCode.CompanyExcludeSync,
  employeeNum: ' ',
  madn: '0033',
  hardSadn: ' ',
  fmcSadn: '0033',
  nameEn: 'HUI JOONG CHAE',
  nameCn: ' ',
  gradeEn: 'Business Engineering',
  gradeCn: ' ',
  deptNameEn: ' ',
  deptNameCn: ' ',
  isPrivacyAgree: true,
  isValidLogin: true,
  employeeType: EmployeeType.Regular,
  nickName: '채책임(닉)'
};
