import { createReducer, on } from '@ngrx/store';
import { initialState } from './state';
import { buddy2Success, group2Success, roomSuccess } from './actions';

export const reducer = createReducer(
  initialState,
  on(buddy2Success, (state, action) => {
    return {
      ...state,
      buddyInfoList: action.buddyList,
      buddy2SyncDate: action.syncDate
    };
  }),

  on(group2Success, (state, action) => {
    return {
      ...state,
      groupList: action.groupList,
      group2SyncDate: action.syncDate
    };
  }),

  on(roomSuccess, (state, action) => {
    return {
      ...state,
      roomList: action.roomList,
      roomUserInfoMap: action.roomUserInfoMap,
      roomSyncDate: action.syncDate
    };
  })
);
