import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';

import { ucapAnimations } from '@ucap-webmessenger/ui';

import { GroupDetailData, UserInfo } from '@ucap-webmessenger/protocol-sync';

@Component({
  selector: 'ucap-group-expansion-panel',
  templateUrl: './expansion-panel.component.html',
  styleUrls: ['./expansion-panel.component.scss'],
  animations: ucapAnimations
})
export class ExpansionPanelComponent implements OnInit {
  @Input()
  groupBuddyList: { group: GroupDetailData; buddyList: UserInfo[] }[];

  @Output()
  selectBuddy = new EventEmitter<UserInfo>();

  constructor() {}

  ngOnInit() {}

  onClickBuddy(buddy: UserInfo) {
    this.selectBuddy.emit(buddy);
  }
}
